unit schRemesasProveedorClient_Intf;

interface

uses
  Classes, DB, schBase_Intf, SysUtils, uROClasses, uDADataTable, FmtBCD, uROXMLIntf;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_RemesasProveedor = '{23D3FD39-C8A1-424C-A738-908158D36ED1}';

  { Data table names }
  nme_RemesasProveedor = 'RemesasProveedor';

  { RemesasProveedor fields }
  fld_RemesasProveedorID = 'ID';
  fld_RemesasProveedorID_EMPRESA = 'ID_EMPRESA';
  fld_RemesasProveedorREFERENCIA = 'REFERENCIA';
  fld_RemesasProveedorTIPO = 'TIPO';
  fld_RemesasProveedorFECHA_REMESA = 'FECHA_REMESA';
  fld_RemesasProveedorDESCRIPCION = 'DESCRIPCION';
  fld_RemesasProveedorID_DATOS_BANCO = 'ID_DATOS_BANCO';
  fld_RemesasProveedorFECHA_ALTA = 'FECHA_ALTA';
  fld_RemesasProveedorFECHA_MODIFICACION = 'FECHA_MODIFICACION';
  fld_RemesasProveedorUSUARIO = 'USUARIO';
  fld_RemesasProveedorNOMBRE = 'NOMBRE';
  fld_RemesasProveedorENTIDAD = 'ENTIDAD';
  fld_RemesasProveedorSUCURSAL = 'SUCURSAL';
  fld_RemesasProveedorDC = 'DC';
  fld_RemesasProveedorCUENTA = 'CUENTA';
  fld_RemesasProveedorSUFIJO_N19 = 'SUFIJO_N19';
  fld_RemesasProveedorSUFIJO_N58 = 'SUFIJO_N58';
  fld_RemesasProveedorIMPORTE_TOTAL = 'IMPORTE_TOTAL';

  { RemesasProveedor field indexes }
  idx_RemesasProveedorID = 0;
  idx_RemesasProveedorID_EMPRESA = 1;
  idx_RemesasProveedorREFERENCIA = 2;
  idx_RemesasProveedorTIPO = 3;
  idx_RemesasProveedorFECHA_REMESA = 4;
  idx_RemesasProveedorDESCRIPCION = 5;
  idx_RemesasProveedorID_DATOS_BANCO = 6;
  idx_RemesasProveedorFECHA_ALTA = 7;
  idx_RemesasProveedorFECHA_MODIFICACION = 8;
  idx_RemesasProveedorUSUARIO = 9;
  idx_RemesasProveedorNOMBRE = 10;
  idx_RemesasProveedorENTIDAD = 11;
  idx_RemesasProveedorSUCURSAL = 12;
  idx_RemesasProveedorDC = 13;
  idx_RemesasProveedorCUENTA = 14;
  idx_RemesasProveedorSUFIJO_N19 = 15;
  idx_RemesasProveedorSUFIJO_N58 = 16;
  idx_RemesasProveedorIMPORTE_TOTAL = 17;

type
  { IRemesasProveedor }
  IRemesasProveedor = interface(IDAStronglyTypedDataTable)
  ['{7A79CD94-9A3A-4E75-89AD-C1D0A728A7F5}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetIDIsNull: Boolean;
    procedure SetIDIsNull(const aValue: Boolean);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetID_EMPRESAIsNull: Boolean;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetREFERENCIAIsNull: Boolean;
    procedure SetREFERENCIAIsNull(const aValue: Boolean);
    function GetTIPOValue: String;
    procedure SetTIPOValue(const aValue: String);
    function GetTIPOIsNull: Boolean;
    procedure SetTIPOIsNull(const aValue: Boolean);
    function GetFECHA_REMESAValue: DateTime;
    procedure SetFECHA_REMESAValue(const aValue: DateTime);
    function GetFECHA_REMESAIsNull: Boolean;
    procedure SetFECHA_REMESAIsNull(const aValue: Boolean);
    function GetDESCRIPCIONValue: String;
    procedure SetDESCRIPCIONValue(const aValue: String);
    function GetDESCRIPCIONIsNull: Boolean;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean);
    function GetID_DATOS_BANCOValue: Integer;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer);
    function GetID_DATOS_BANCOIsNull: Boolean;
    procedure SetID_DATOS_BANCOIsNull(const aValue: Boolean);
    function GetFECHA_ALTAValue: DateTime;
    procedure SetFECHA_ALTAValue(const aValue: DateTime);
    function GetFECHA_ALTAIsNull: Boolean;
    procedure SetFECHA_ALTAIsNull(const aValue: Boolean);
    function GetFECHA_MODIFICACIONValue: DateTime;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime);
    function GetFECHA_MODIFICACIONIsNull: Boolean;
    procedure SetFECHA_MODIFICACIONIsNull(const aValue: Boolean);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);
    function GetUSUARIOIsNull: Boolean;
    procedure SetUSUARIOIsNull(const aValue: Boolean);
    function GetNOMBREValue: String;
    procedure SetNOMBREValue(const aValue: String);
    function GetNOMBREIsNull: Boolean;
    procedure SetNOMBREIsNull(const aValue: Boolean);
    function GetENTIDADValue: String;
    procedure SetENTIDADValue(const aValue: String);
    function GetENTIDADIsNull: Boolean;
    procedure SetENTIDADIsNull(const aValue: Boolean);
    function GetSUCURSALValue: String;
    procedure SetSUCURSALValue(const aValue: String);
    function GetSUCURSALIsNull: Boolean;
    procedure SetSUCURSALIsNull(const aValue: Boolean);
    function GetDCValue: String;
    procedure SetDCValue(const aValue: String);
    function GetDCIsNull: Boolean;
    procedure SetDCIsNull(const aValue: Boolean);
    function GetCUENTAValue: String;
    procedure SetCUENTAValue(const aValue: String);
    function GetCUENTAIsNull: Boolean;
    procedure SetCUENTAIsNull(const aValue: Boolean);
    function GetSUFIJO_N19Value: String;
    procedure SetSUFIJO_N19Value(const aValue: String);
    function GetSUFIJO_N19IsNull: Boolean;
    procedure SetSUFIJO_N19IsNull(const aValue: Boolean);
    function GetSUFIJO_N58Value: String;
    procedure SetSUFIJO_N58Value(const aValue: String);
    function GetSUFIJO_N58IsNull: Boolean;
    procedure SetSUFIJO_N58IsNull(const aValue: Boolean);
    function GetIMPORTE_TOTALValue: Currency;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency);
    function GetIMPORTE_TOTALIsNull: Boolean;
    procedure SetIMPORTE_TOTALIsNull(const aValue: Boolean);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property IDIsNull: Boolean read GetIDIsNull write SetIDIsNull;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull: Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull: Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property TIPO: String read GetTIPOValue write SetTIPOValue;
    property TIPOIsNull: Boolean read GetTIPOIsNull write SetTIPOIsNull;
    property FECHA_REMESA: DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property FECHA_REMESAIsNull: Boolean read GetFECHA_REMESAIsNull write SetFECHA_REMESAIsNull;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull: Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property ID_DATOS_BANCO: Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property ID_DATOS_BANCOIsNull: Boolean read GetID_DATOS_BANCOIsNull write SetID_DATOS_BANCOIsNull;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_ALTAIsNull: Boolean read GetFECHA_ALTAIsNull write SetFECHA_ALTAIsNull;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property FECHA_MODIFICACIONIsNull: Boolean read GetFECHA_MODIFICACIONIsNull write SetFECHA_MODIFICACIONIsNull;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property USUARIOIsNull: Boolean read GetUSUARIOIsNull write SetUSUARIOIsNull;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property NOMBREIsNull: Boolean read GetNOMBREIsNull write SetNOMBREIsNull;
    property ENTIDAD: String read GetENTIDADValue write SetENTIDADValue;
    property ENTIDADIsNull: Boolean read GetENTIDADIsNull write SetENTIDADIsNull;
    property SUCURSAL: String read GetSUCURSALValue write SetSUCURSALValue;
    property SUCURSALIsNull: Boolean read GetSUCURSALIsNull write SetSUCURSALIsNull;
    property DC: String read GetDCValue write SetDCValue;
    property DCIsNull: Boolean read GetDCIsNull write SetDCIsNull;
    property CUENTA: String read GetCUENTAValue write SetCUENTAValue;
    property CUENTAIsNull: Boolean read GetCUENTAIsNull write SetCUENTAIsNull;
    property SUFIJO_N19: String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property SUFIJO_N19IsNull: Boolean read GetSUFIJO_N19IsNull write SetSUFIJO_N19IsNull;
    property SUFIJO_N58: String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
    property SUFIJO_N58IsNull: Boolean read GetSUFIJO_N58IsNull write SetSUFIJO_N58IsNull;
    property IMPORTE_TOTAL: Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property IMPORTE_TOTALIsNull: Boolean read GetIMPORTE_TOTALIsNull write SetIMPORTE_TOTALIsNull;
  end;

  { TRemesasProveedorDataTableRules }
  TRemesasProveedorDataTableRules = class(TIntfObjectDADataTableRules, IRemesasProveedor)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetIDIsNull: Boolean; virtual;
    procedure SetIDIsNull(const aValue: Boolean); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetTIPOValue: String; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    function GetTIPOIsNull: Boolean; virtual;
    procedure SetTIPOIsNull(const aValue: Boolean); virtual;
    function GetFECHA_REMESAValue: DateTime; virtual;
    procedure SetFECHA_REMESAValue(const aValue: DateTime); virtual;
    function GetFECHA_REMESAIsNull: Boolean; virtual;
    procedure SetFECHA_REMESAIsNull(const aValue: Boolean); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetDESCRIPCIONIsNull: Boolean; virtual;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean); virtual;
    function GetID_DATOS_BANCOValue: Integer; virtual;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer); virtual;
    function GetID_DATOS_BANCOIsNull: Boolean; virtual;
    procedure SetID_DATOS_BANCOIsNull(const aValue: Boolean); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_ALTAIsNull: Boolean; virtual;
    procedure SetFECHA_ALTAIsNull(const aValue: Boolean); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONIsNull: Boolean; virtual;
    procedure SetFECHA_MODIFICACIONIsNull(const aValue: Boolean); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetUSUARIOIsNull: Boolean; virtual;
    procedure SetUSUARIOIsNull(const aValue: Boolean); virtual;
    function GetNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetNOMBREIsNull: Boolean; virtual;
    procedure SetNOMBREIsNull(const aValue: Boolean); virtual;
    function GetENTIDADValue: String; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    function GetENTIDADIsNull: Boolean; virtual;
    procedure SetENTIDADIsNull(const aValue: Boolean); virtual;
    function GetSUCURSALValue: String; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    function GetSUCURSALIsNull: Boolean; virtual;
    procedure SetSUCURSALIsNull(const aValue: Boolean); virtual;
    function GetDCValue: String; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    function GetDCIsNull: Boolean; virtual;
    procedure SetDCIsNull(const aValue: Boolean); virtual;
    function GetCUENTAValue: String; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    function GetCUENTAIsNull: Boolean; virtual;
    procedure SetCUENTAIsNull(const aValue: Boolean); virtual;
    function GetSUFIJO_N19Value: String; virtual;
    procedure SetSUFIJO_N19Value(const aValue: String); virtual;
    function GetSUFIJO_N19IsNull: Boolean; virtual;
    procedure SetSUFIJO_N19IsNull(const aValue: Boolean); virtual;
    function GetSUFIJO_N58Value: String; virtual;
    procedure SetSUFIJO_N58Value(const aValue: String); virtual;
    function GetSUFIJO_N58IsNull: Boolean; virtual;
    procedure SetSUFIJO_N58IsNull(const aValue: Boolean); virtual;
    function GetIMPORTE_TOTALValue: Currency; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency); virtual;
    function GetIMPORTE_TOTALIsNull: Boolean; virtual;
    procedure SetIMPORTE_TOTALIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property IDIsNull: Boolean read GetIDIsNull write SetIDIsNull;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull: Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull: Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property TIPO: String read GetTIPOValue write SetTIPOValue;
    property TIPOIsNull: Boolean read GetTIPOIsNull write SetTIPOIsNull;
    property FECHA_REMESA: DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property FECHA_REMESAIsNull: Boolean read GetFECHA_REMESAIsNull write SetFECHA_REMESAIsNull;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull: Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property ID_DATOS_BANCO: Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property ID_DATOS_BANCOIsNull: Boolean read GetID_DATOS_BANCOIsNull write SetID_DATOS_BANCOIsNull;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_ALTAIsNull: Boolean read GetFECHA_ALTAIsNull write SetFECHA_ALTAIsNull;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property FECHA_MODIFICACIONIsNull: Boolean read GetFECHA_MODIFICACIONIsNull write SetFECHA_MODIFICACIONIsNull;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property USUARIOIsNull: Boolean read GetUSUARIOIsNull write SetUSUARIOIsNull;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property NOMBREIsNull: Boolean read GetNOMBREIsNull write SetNOMBREIsNull;
    property ENTIDAD: String read GetENTIDADValue write SetENTIDADValue;
    property ENTIDADIsNull: Boolean read GetENTIDADIsNull write SetENTIDADIsNull;
    property SUCURSAL: String read GetSUCURSALValue write SetSUCURSALValue;
    property SUCURSALIsNull: Boolean read GetSUCURSALIsNull write SetSUCURSALIsNull;
    property DC: String read GetDCValue write SetDCValue;
    property DCIsNull: Boolean read GetDCIsNull write SetDCIsNull;
    property CUENTA: String read GetCUENTAValue write SetCUENTAValue;
    property CUENTAIsNull: Boolean read GetCUENTAIsNull write SetCUENTAIsNull;
    property SUFIJO_N19: String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property SUFIJO_N19IsNull: Boolean read GetSUFIJO_N19IsNull write SetSUFIJO_N19IsNull;
    property SUFIJO_N58: String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
    property SUFIJO_N58IsNull: Boolean read GetSUFIJO_N58IsNull write SetSUFIJO_N58IsNull;
    property IMPORTE_TOTAL: Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property IMPORTE_TOTALIsNull: Boolean read GetIMPORTE_TOTALIsNull write SetIMPORTE_TOTALIsNull;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants, uROBinaryHelpers;

{ TRemesasProveedorDataTableRules }
constructor TRemesasProveedorDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRemesasProveedorDataTableRules.Destroy;
begin
  inherited;
end;

function TRemesasProveedorDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasProveedorID].AsInteger;
end;

procedure TRemesasProveedorDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasProveedorID].AsInteger := aValue;
end;

function TRemesasProveedorDataTableRules.GetIDIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorID].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetIDIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorID].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasProveedorID_EMPRESA].AsInteger;
end;

procedure TRemesasProveedorDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasProveedorID_EMPRESA].AsInteger := aValue;
end;

function TRemesasProveedorDataTableRules.GetID_EMPRESAIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorID_EMPRESA].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorID_EMPRESA].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorREFERENCIA].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorREFERENCIA].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetREFERENCIAIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorREFERENCIA].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorREFERENCIA].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetTIPOValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorTIPO].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetTIPOValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorTIPO].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetTIPOIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorTIPO].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetTIPOIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorTIPO].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetFECHA_REMESAValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasProveedorFECHA_REMESA].AsDateTime;
end;

procedure TRemesasProveedorDataTableRules.SetFECHA_REMESAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasProveedorFECHA_REMESA].AsDateTime := aValue;
end;

function TRemesasProveedorDataTableRules.GetFECHA_REMESAIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorFECHA_REMESA].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetFECHA_REMESAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorFECHA_REMESA].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetDESCRIPCIONValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorDESCRIPCION].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetDESCRIPCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorDESCRIPCION].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetDESCRIPCIONIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorDESCRIPCION].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetDESCRIPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorDESCRIPCION].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetID_DATOS_BANCOValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasProveedorID_DATOS_BANCO].AsInteger;
end;

procedure TRemesasProveedorDataTableRules.SetID_DATOS_BANCOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasProveedorID_DATOS_BANCO].AsInteger := aValue;
end;

function TRemesasProveedorDataTableRules.GetID_DATOS_BANCOIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorID_DATOS_BANCO].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetID_DATOS_BANCOIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorID_DATOS_BANCO].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetFECHA_ALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasProveedorFECHA_ALTA].AsDateTime;
end;

procedure TRemesasProveedorDataTableRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasProveedorFECHA_ALTA].AsDateTime := aValue;
end;

function TRemesasProveedorDataTableRules.GetFECHA_ALTAIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorFECHA_ALTA].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetFECHA_ALTAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorFECHA_ALTA].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasProveedorFECHA_MODIFICACION].AsDateTime;
end;

procedure TRemesasProveedorDataTableRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasProveedorFECHA_MODIFICACION].AsDateTime := aValue;
end;

function TRemesasProveedorDataTableRules.GetFECHA_MODIFICACIONIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorFECHA_MODIFICACION].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetFECHA_MODIFICACIONIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorFECHA_MODIFICACION].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorUSUARIO].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorUSUARIO].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetUSUARIOIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorUSUARIO].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetUSUARIOIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorUSUARIO].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetNOMBREValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorNOMBRE].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetNOMBREValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorNOMBRE].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetNOMBREIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorNOMBRE].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetNOMBREIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorNOMBRE].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetENTIDADValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorENTIDAD].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetENTIDADValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorENTIDAD].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetENTIDADIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorENTIDAD].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetENTIDADIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorENTIDAD].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetSUCURSALValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorSUCURSAL].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetSUCURSALValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorSUCURSAL].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetSUCURSALIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorSUCURSAL].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetSUCURSALIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorSUCURSAL].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetDCValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorDC].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetDCValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorDC].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetDCIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorDC].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetDCIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorDC].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetCUENTAValue: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorCUENTA].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetCUENTAValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorCUENTA].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetCUENTAIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorCUENTA].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetCUENTAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorCUENTA].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetSUFIJO_N19Value: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorSUFIJO_N19].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetSUFIJO_N19Value(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorSUFIJO_N19].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetSUFIJO_N19IsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorSUFIJO_N19].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetSUFIJO_N19IsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorSUFIJO_N19].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetSUFIJO_N58Value: String;
begin
  result := DataTable.Fields[idx_RemesasProveedorSUFIJO_N58].AsString;
end;

procedure TRemesasProveedorDataTableRules.SetSUFIJO_N58Value(const aValue: String);
begin
  DataTable.Fields[idx_RemesasProveedorSUFIJO_N58].AsString := aValue;
end;

function TRemesasProveedorDataTableRules.GetSUFIJO_N58IsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorSUFIJO_N58].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetSUFIJO_N58IsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorSUFIJO_N58].AsVariant := Null;
end;

function TRemesasProveedorDataTableRules.GetIMPORTE_TOTALValue: Currency;
begin
  result := DataTable.Fields[idx_RemesasProveedorIMPORTE_TOTAL].AsCurrency;
end;

procedure TRemesasProveedorDataTableRules.SetIMPORTE_TOTALValue(const aValue: Currency);
begin
  DataTable.Fields[idx_RemesasProveedorIMPORTE_TOTAL].AsCurrency := aValue;
end;

function TRemesasProveedorDataTableRules.GetIMPORTE_TOTALIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasProveedorIMPORTE_TOTAL].IsNull;
end;

procedure TRemesasProveedorDataTableRules.SetIMPORTE_TOTALIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasProveedorIMPORTE_TOTAL].AsVariant := Null;
end;


initialization
  RegisterDataTableRules(RID_RemesasProveedor, TRemesasProveedorDataTableRules);

end.
